import './NewGame.css';
import React from 'react';
import { AppData } from '../../context/data'
import { useLocation, matchPath } from "react-router";
import { SelectPlayer } from './Player';
import { WhiteStone, BlackStone } from './Stone';

// import { AppContext } from '../../context/app'

export default function NewGame() {
  // const [ctx, dispatchCtx] = React.useContext(AppContext)
  const [data] = React.useContext(AppData)
  const [whiteName, setWhiteName] = React.useState('');
  const [blackName, setBlackName] = React.useState('');

  const { pathname } = useLocation();
  const isMyPath = matchPath("/game/new", pathname);

  if (!isMyPath)
    return

  const nameOptions = data.leaderboard
    ? Object.keys(data.leaderboard).map(playerName => {
      const displayName = data.isCurrentUser(playerName) ? 'You' : playerName
      return <option key={playerName} value={playerName}>{displayName}</option>
    })
    : []

  const whiteOptions = Array(nameOptions)
  whiteOptions.push(<option key='default' value=''>{'select …'}</option>)

  const blackOptions = Array(nameOptions)
  blackOptions.push(<option key='default' value=''>{'select …'}</option>)

  return (
    <div className='new-game'>
      <div className='container'>
        <WhiteStone/> player
        <SelectPlayer name={whiteName} setName={setWhiteName} nameOptions={whiteOptions} />
      </div>
      <div className='container'>
        <SelectPlayer name={blackName} setName={setBlackName} nameOptions={blackOptions} />
        <BlackStone/> player
      </div>
    </div>
  )
}